---
title: Two.Rectangle
pageClass: docs
lang: en-US
---

# Two.Rectangle


<div class="extends">

Extends: [Two.Path](/docs/path/)

</div>





<div class="meta">
  <custom-button text="Source" type="source" href="https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js" />
</div>



### Constructor


| Argument | Description |
| ---- | ----------- |
|  x  | The x position of the rectangle. |
|  y  | The y position of the rectangle. |
|  width  | The width value of the rectangle. |
|  height  | The width value of the rectangle. |



<div class="static member ">

## Properties

<h2 class="longname" aria-hidden="true"><a href="#Properties"><span class="prefix">Two.Rectangle.</span><span class="shortname">Properties</span></a></h2>










<div class="properties">

A list of properties that are on every [Two.Rectangle](/docs/rectangle).

</div>








<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L53">
    rectangle.js:53
  </a>

</div>






</div>



<div class="static function ">

## MakeObservable

<h2 class="longname" aria-hidden="true"><a href="#MakeObservable"><span class="prefix">Two.Rectangle.</span><span class="shortname">MakeObservable</span></a></h2>












<div class="params">

| Argument | Description |
| ---- | ----------- |
|  object  | The object to make observable. |
</div>




<div class="description">

Convenience function to apply observable qualities of a [Two.Rectangle](/docs/rectangle) to any object. Handy if you'd like to extend the [Two.Rectangle](/docs/rectangle) class on a custom class.

</div>



<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L59">
    rectangle.js:59
  </a>

</div>






</div>



<div class="instance member ">

## width

<h2 class="longname" aria-hidden="true"><a href="#width"><span class="prefix">Two.Rectangle.</span><span class="shortname">width</span></a></h2>










<div class="properties">

The size of the width of the rectangle.

</div>








<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L29">
    rectangle.js:29
  </a>

</div>






</div>



<div class="instance member ">

## height

<h2 class="longname" aria-hidden="true"><a href="#height"><span class="prefix">Two.Rectangle.</span><span class="shortname">height</span></a></h2>










<div class="properties">

The size of the height of the rectangle.

</div>








<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L34">
    rectangle.js:34
  </a>

</div>






</div>



<div class="instance member ">

## origin

<h2 class="longname" aria-hidden="true"><a href="#origin"><span class="prefix">Two.Rectangle.</span><span class="shortname">origin</span></a></h2>










<div class="properties">

A two-component vector describing the origin offset to draw the rectangle. Default is `0, 0`.

</div>








<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L40">
    rectangle.js:40
  </a>

</div>






</div>



<div class="instance function ">

## clone

<h2 class="longname" aria-hidden="true"><a href="#clone"><span class="prefix">Two.Rectangle.</span><span class="shortname">clone</span></a></h2>




<div class="returns">

__Returns__: Two.Rectangle



</div>









<div class="params">

| Argument | Description |
| ---- | ----------- |
|  parent  | The parent group or scene to add the clone to. |
</div>




<div class="description">

Create a new instance of [Two.Rectangle](/docs/rectangle) with the same properties of the current path.

</div>



<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L172">
    rectangle.js:172
  </a>

</div>






</div>



<div class="instance function ">

## toObject

<h2 class="longname" aria-hidden="true"><a href="#toObject"><span class="prefix">Two.Rectangle.</span><span class="shortname">toObject</span></a></h2>




<div class="returns">

__Returns__: Object



</div>












<div class="description">

Return a JSON compatible plain object that represents the path.

</div>



<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L205">
    rectangle.js:205
  </a>

</div>






</div>


